from epicenter import Epicenter

marketsize = 25000000
purchaseprobability = 0.05
contactspermonth = 10
averagemonthstorepurchase = 36
initialsales = 50000
forecastlength = 24
installedbase = [0,0]
remainingmarket = [0,0]
newsales = [0,0]
repurchases = [0,0]
totalsales = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
months = range(0,23)

def forecast_sales():
    global installedbase, remainingmarket, newsales, repurchases, totalsales, testsales
    
    installedbase = []
    remainingmarket = []
    newsales = []
    repurchases = []
    totalsales = []
        
    for i in range(forecastlength):
        
        if(i == 0):
            installedbase.append(initialsales)
            remainingmarket.append(marketsize - installedbase[i])
        else:
            installedbase.append(int(installedbase[i-1] + newsales[i-1]))
            remainingmarket.append(int(remainingmarket[i-1] - newsales[i-1]))
    
        newsales.append(int(installedbase[i] * contactspermonth * purchaseprobability * (float(remainingmarket[i]) / marketsize)))
        repurchases.append(int(installedbase[i] / averagemonthstorepurchase))
        totalsales.append(newsales[i] + repurchases[i])
        
    return;


